## net.sourceforge.pmd.cpd
Class JavaTokenizer

    java.lang.Object
      net.sourceforge.pmd.cpd.JavaTokenizer

All Implemented Interfaces:
  Tokenizer

public class JavaTokenizer
extends java.lang.Object
implements Tokenizer

Field Summary
`static java.lang.String` `IGNORE_IDENTIFIERS`
`static java.lang.String` `IGNORE_LITERALS`

Constructor Summary
`JavaTokenizer()`

Method Summary
`void` `setIgnoreIdentifiers(boolean ignore)`
`void` `setIgnoreLiterals(boolean ignore)`
`void` `setProperties(java.util.Properties properties)`
`void` `tokenize(SourceCode tokens, Tokens tokenEntries)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IGNORE_LITERALS

    public static final java.lang.String IGNORE_LITERALS

See Also:
  Constant Field Values

### IGNORE_IDENTIFIERS

    public static final java.lang.String IGNORE_IDENTIFIERS

See Also:
  Constant Field Values

Constructor Detail

### JavaTokenizer

    public JavaTokenizer()

Method Detail

### setProperties

    public void setProperties(java.util.Properties properties)

### tokenize

    public void tokenize(SourceCode tokens,
                         Tokens tokenEntries)

  Specified by:
    `tokenize` in interface `Tokenizer`

### setIgnoreLiterals

    public void setIgnoreLiterals(boolean ignore)

### setIgnoreIdentifiers

    public void setIgnoreIdentifiers(boolean ignore)

Copyright © 2002-2006 InfoEther. All Rights Reserved.